---
name: 🛠️ Bug report
about: Create a report about a technical issue
title: ''
labels: ''
assignees: ''
---

<!--
Our bug tracker is ONLY for bugs. It is not for feature requests, questions, or comments.

Please fill out this template with all the information you have. We can't do much without
both the logs and a detailed description of what you've encountered. Please do your best!

Please note that this tracker is only for bugs. Please try these locations if you have a question or comment:

  https://community.signalusers.org/
  http://support.signal.org/
  support@signal.org

Lastly, be sure to preview your issue before saving. Thanks!
-->

- [ ] I have searched open and closed issues for duplicates
<!--
  You can search all issues here:
    https://github.com/signalapp/Signal-Desktop/issues?utf8=%E2%9C%93&q=is%3Aissue
  Replace [ ] with [X] once you've searched
-->
- [ ] I am using Signal-Desktop as provided by the Signal team, not a 3rd-party package.
<!--
  If you're using a 3rd-party package, please report it to them first.
  For flatpak:
  - https://github.com/flathub/org.signal.Signal/issues
  For snap:
  - https://github.com/snapcrafters/signal-desktop/issues
  For archlinux:
  - https://aur.archlinux.org/packages/signal-desktop-beta/
  etc.
-->

---

### Bug Description

<!-- Give an overall summary of the issue. -->

### Steps to Reproduce

<!-- Using bullet points, list the steps that reproduce the bug. -->

1.  step one
2.  step two
3.  step three

Actual Result:

<!-- Describe the details of the buggy behaviour. -->

Expected Result:

<!-- Describe in detail what the correct behavior should be. -->

### Screenshots

<!--
How to take screenshots on all OSes: https://www.take-a-screenshot.org/
You can drag and drop images into this text box.
-->

### Platform Info

Signal Version:

<!-- You can see Signal's version number at Help -> About or File -> About Signal Desktop -->

Operating System:

<!-- Instructions for finding your OS version are here: http://whatsmyos.com/ -->

Linked Device Version:

<!-- Android: Settings -> Help,  iOS: Settings -> General -> About -->

### Link to Debug Log

<!--
Immediately after the bug has happened, submit a debug log via View -> Debug Log, then copy that URL here.

In most cases, a log from your other devices is also useful:
  Android: https://support.signal.org/hc/en-us/articles/360007318591#android_debug
  iOS: https://support.signal.org/hc/en-us/articles/360007318591#ios_debug
-->
